//
//  DECustomAlert.mm
//  DotEmu
//
//  Created by DotEmu on 17/05/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "DECustomAlert.h"

//hack gobliiins
extern bool iPhoneViewCall;

@implementation DECustomAlert

@synthesize backgroundImage, alertText, button1, button2;

- (id)initWithImage:(UIImage *)image text:(NSString *)text sstext:(NSString*)stext button1:(bool)b1 img1:(UIImage*)button1Img button2:(bool)b2 img2:(UIImage*)button2Img
{
    if( self = [super init] ) 
	{
		alertTextLabel = [[UILabel alloc] initWithFrame:CGRectMake( 108.5, 15, 400, 35 )];
		alertTextLabel.textColor = [UIColor blackColor];
		alertTextLabel.backgroundColor = [UIColor clearColor];
		alertTextLabel.font = [UIFont boldSystemFontOfSize:20];
		[self addSubview:alertTextLabel];
		
        self.backgroundImage = image;
		self.alertText = text;
		
		alertSSText = [[UITextView alloc ] initWithFrame:CGRectMake( 70, 50, 230, 70 )];
		alertSSText.backgroundColor = [UIColor clearColor];
		alertSSText.textColor = [UIColor blackColor];
		alertSSText.font = [UIFont fontWithName:@"Verdana" size:12];
		alertSSText.scrollEnabled = NO;
		alertSSText.editable = NO;
		alertSSText.autoresizingMask = UIViewAutoresizingFlexibleHeight;
		alertSSText.text = stext;
		[self addSubview:alertSSText];
		[alertSSText setUserInteractionEnabled: NO];	
		
		if( b1 && b2 )
		{
			self.button1 = [[UIButton buttonWithType:UIButtonTypeCustom] retain];
			self.button1.frame = CGRectMake( 57, 111, 109, 46 );
			[self.button1 addTarget:self action:@selector(button1Clicked:) forControlEvents:UIControlEventTouchDown];
			[self.button1 setImage:button1Img forState:UIControlStateNormal];
			self.button1.hidden = NO;	
			[self addSubview:self.button1];

			self.button2 = [[UIButton buttonWithType:UIButtonTypeCustom] retain];
			self.button2.frame = CGRectMake( 167, 112, 109, 46 );
			[self.button2 addTarget:self action:@selector(button2Clicked:) forControlEvents:UIControlEventTouchDown];
			[self.button2 setImage:button2Img forState:UIControlStateNormal];
			self.button2.hidden = NO;	
			[self addSubview:self.button2];	
		}
		else if( b1 && !b2 )
		{
			self.button1 = [[UIButton buttonWithType:UIButtonTypeCustom] retain];
			self.button1.frame = CGRectMake( 57, 112, 218, 48 );
			[self.button1 addTarget:self action:@selector(button1Clicked:) forControlEvents:UIControlEventTouchDown];
			[self.button1 setImage:button1Img forState:UIControlStateNormal];
			self.button1.hidden = NO;	
			[self addSubview:self.button1];	
		}
    }
    return self;
}

- (void) setAlertText:(NSString *)text
{
	alertTextLabel.text = text;
}

- (NSString *) alertText
{
	return alertTextLabel.text;
}

- (void)drawRect:(CGRect)rect
{
    //CGContextRef ctx = UIGraphicsGetCurrentContext();
	CGSize imageSize = self.backgroundImage.size;
	//CGContextDrawImage(ctx, CGRectMake(0, 0, imageSize.width, imageSize.height), self.backgroundImage.CGImage);
	[self.backgroundImage drawInRect:CGRectMake(0, 0, imageSize.width, imageSize.height)];
}

- (void)alertView:(UIAlertView *)alertView didDismissWithButtonIndex:(NSInteger)buttonIndex 
{
	[alertView release];
}

- (void) layoutSubviews
{
	/*alertTextLabel.transform = CGAffineTransformIdentity;@
	[alertTextLabel sizeToFit];
	
	CGRect textRect = alertTextLabel.frame;
	textRect.origin.x = (CGRectGetWidth(self.bounds) - CGRectGetWidth(textRect)) / 2;
	textRect.origin.y = (CGRectGetHeight(self.bounds) - CGRectGetHeight(textRect)) / 2;
	textRect.origin.y -= 30.0;
	
	alertTextLabel.frame = textRect;
	
	alertTextLabel.transform = CGAffineTransformMakeRotation(- M_PI * .08);*/
}

- (void) show
{	
	[super show];
	
	CGSize imageSize = self.backgroundImage.size;
	self.bounds = CGRectMake(0, 0, imageSize.width, imageSize.height);
}

- (void)dealloc
{
    [super dealloc];
}

-(IBAction)button1Clicked:(id)sender
{
	//NSLog(@"DECustomAlert button1Clicked");
	if( !iPhoneViewCall )
		[[NSNotificationCenter defaultCenter] postNotificationName:@"button1Notif" object:nil];
	else 
		[[NSNotificationCenter defaultCenter] postNotificationName:@"iPhoneViewAlertNotif" object:nil];	
}

-(IBAction)button2Clicked:(id)sender
{
	//NSLog(@"DECustomAlert button2Clicked");
	[[NSNotificationCenter defaultCenter] postNotificationName:@"button2Notif" object:nil];	
}

@end
