//
//  helpViewController.h
//  scummvm
//
//  Created by DotEmu on 18/05/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//
#import <AVFoundation/AVFoundation.h>
#import <UIKit/UIKit.h>

@interface helpViewController : UIViewController<UIWebViewDelegate>
{
	//actions
	IBOutlet UIButton* m_menu;
	IBOutlet UIButton* m_prevState;
	IBOutlet UIButton* m_nextState;
	int etatNext;
	
	//background
	UIImageView* fondV;	
	UIImage* fond;
	
	//sound
	AVAudioPlayer* menuSFXPlayer;
	
	//PAGE ZERO
	IBOutlet UIWebView * generalWebV;
	IBOutlet UIActivityIndicatorView * activityIndicatorGWV;
	
	//PAGE ONE
	UIImageView* gob1V;
	UIImageView* gob2V;
	UIImageView* gob3V;

	UITextView* gob1TV;
	UITextView* gob2TV;	
	UITextView* gob3TV;
	
	//PAGE TWO
	UIImageView* head1V;
	UIImageView* itrV;
	UIImageView* menV;
	
	UITextView* headTV;
	UITextView* itrTV;	
	UITextView* menTV;
	
	//PAGES THREE FOUR FIVE
	UIImageView* touchV;
	UIImageView* markV;
	UITextView* touchTV;
	UILabel* touchL;
	
	//PAGE SIX
	UIImageView* icon1V;
	UIImageView* icon2V;
	UIImageView* icon3V;
	UIImageView* icon4V;
	
	UITextView* ic1TV;
	UITextView* ic2TV;	
	UITextView* ic3TV;
	UITextView* ic4TV;
	
	bool bWarning;
}

//ACTIONS
- (IBAction) menuClicked:(id)sender;
- (IBAction) nextClicked:(id)sender;
- (IBAction) prevClicked:(id)sender;

//METHODS
- (void) loadBackground:(NSString*)background;
- (void) loadPageZero;
- (void) loadPageOne;
- (void) loadPageTwo;
- (void) loadPageThree;
- (void) loadPageThreeCursor;
- (void) loadPageFour;
- (void) loadPageFive;
- (void) loadPageSix;
- (void) removeBackground;
- (void) removePageZero;
- (void) removePageOne;
- (void) removePageTwo;
- (void) removePageThree;
- (void) removePageThreeCursor;
- (void) removePageFour;
- (void) removePageFive;
- (void) removePageSix;

//OTHERS
- (void) animationFinished:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context;
- (void) webViewDidFinishLoad:(UIWebView *)webView;
- (void) webViewDidStartLoad:(UIWebView *)webView;

@end
