//
//  iphone_main.h
//  scummvm
//
//  Created by DotEmu on 17/05/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//
#import "menuigViewController.h"
#import "switchViewController.h"
#import <UIKit/UIKit.h>

@interface iPhoneMain : NSObject <UIApplicationDelegate, UIAlertViewDelegate>
{
	//MENUS
	iPhoneViewController*   _iVC;
	switchViewController*   _switchVC;
	menuigViewController*   _menuigVC;
	Gob1MenuViewController* _gob1MenuVC;
	
	//WINDOW
	UIWindow*   _window;
	iPhoneView* _view;
	
	//IPOD
	OSStatus status;
	
	//POPUP
	bool bPopupSoundActive;
	bool bPopupResumeGameActive;
	bool bStopTimer;
	int  etatPopup;
	UIAlertView* alert;
	
	//SAVESTATE
	NSString *docsDirectory;
    NSString *path;
    NSString *path_sound;
    NSString *path_control;
	
	//TIMERS
	NSTimer* popupMusicTimer;
	NSTimer* popupResumeTimer;	
}

//C++
int main(int argc, char** argv);

//CLASS METHODS
- (id)   init; 
- (void) mainLoop:(id)param;
- (void) didRotate:(NSNotification *)notification;
- (void) applicationWillterminate:(UIApplication *)application;
- (void) applicationWillResignActive:(UIApplication *)application;
- (void) applicationDidBecomeActive:(UIApplication *)application;
- (void) applicationDidEnterBackground:(UIApplication *)application;
- (void) applicationWillEnterForeground:(UIApplication *)application;
- (void) applicationDidFinishLaunching:(UIApplication *)application; 

//NOTIFICATIONS
- (void) button1Notification;
- (void) button2Notification;

//ACTIONS
- (void) alertView:(UIAlertView *)alertView didDismissWithButtonIndex:(NSInteger)buttonIndex;
- (void) onPopupMusicActive;
- (void) onPopupResumeGameActive;
- (void) button1;
- (void) button2;
- (void) nextStep;
- (void) launchViews;
- (void) rotationNotification;
- (void) didRotate:(NSNotification *)notification;

//ACCESSORS
- (UIWindow*)   getWindow;
- (iPhoneView*) getView;
- (void)        setView:(iPhoneView*)iView;

@end