//
//  settingsViewController.h
//  scummvm
//
//  Created by DotEmu on 18/05/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//
#import <AVFoundation/AVFoundation.h>
#import <UIKit/UIKit.h>

@interface settingsViewController : UIViewController 
{
	//OUTLETS
	IBOutlet UISlider* m_sliderMusic;
	IBOutlet UISlider* m_sliderSFX;
	
	//CONTROL
	UIButton* m_controlMode;
	
	//SOUND
	AVAudioPlayer* menuSFXPlayer;
	AVAudioPlayer* controlClick;
	
	//MEMORY
	bool bWarning;
}

//ACTIONS
- (IBAction) menuClicked:(id)sender;
- (IBAction) saveSoundMusicValue:(id)sender;
- (IBAction) saveSoundSFXValue:(id)sender;
- (IBAction) touchModeClicked:(id)sender;

//NOTIFICATIONS
- (void) settingsMusicNotification;
- (void) settingsMusic;

//METHODS
- (void) animationFinished:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context;

@end
