//
//  switchViewController.h
//  scummvm
//
//  Created by DotEmu on 17/05/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "iPhoneViewController.h"
#import "Gob1MenuViewController.h"
#import "settingsViewController.h"
#import "menuigViewController.h"
#import "loadViewController.h"
#import <UIKit/UIKit.h>

@interface switchViewController : UIViewController 
{
	//VIEWCONTROLLERS
	iPhoneViewController*   _iVC;
	menuigViewController*   _menuigVC;
	Gob1MenuViewController* _gob1MenuVC;
	settingsViewController* _settingsVC;
	loadViewController* _loadVC;
	
	//IMG VIEW
	UIImageView* imgV;
}
@property(nonatomic, retain) IBOutlet iPhoneViewController*   _iVC;
@property(nonatomic, retain) IBOutlet menuigViewController*   _menuigVC;
@property(nonatomic, retain) IBOutlet Gob1MenuViewController* _gob1MenuVC;
@property(nonatomic, retain) IBOutlet settingsViewController* _settingsVC;
@property(nonatomic, retain) IBOutlet loadViewController* _loadVC;

//SPLASH
- (void) splashFinished:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context;
- (void) splashBulky:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context; 
- (void) splashBulkyFadeOut;
- (void) splashBulkyFadeIn;
- (void) runSwitch;

//METHODS
- (void) switchViews;
- (void) switchPause;
- (void) switchMenu;
- (void) switchSettingsInGame;
- (void) switchLoad;
- (void) removeMenu;

@end
