//
//  DECustomAlert.h
//  DotEmu
//
//  Created by DotEmu on 17/05/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface DECustomAlert : UIAlertView

{
	UITextView *alertSSText;
	UIButton   *button1;
	UIButton   *button2;	
	UIImage    *backgroundImage;
	UILabel    *alertTextLabel;
}

@property(readwrite, retain) UIImage  *backgroundImage;
@property(readwrite, retain) NSString *alertText;
@property(readwrite, retain) UIButton *button1;
@property(readwrite, retain) UIButton *button2;

//CLASS METHODS
- (id)        initWithImage:(UIImage *)image text:(NSString *)text sstext:(NSString*)stext button1:(bool)b1 img1:(UIImage*)button1Img button2:(bool)b2 img2:(UIImage*)button2Img;
- (void)      setAlertText:(NSString *)text;
- (void)      drawRect:(CGRect)rect;
- (void)      layoutSubviews;
- (void)      show;
- (void)      alertView:(UIAlertView *)alertView didDismissWithButtonIndex:(NSInteger)buttonIndex;
- (IBAction)  button1Clicked:(id)sender;
- (IBAction)  button2Clicked:(id)sender;
- (NSString*) alertText;

@end
