//
//  iPhoneViewController.h
//  scummvm
//
//  Created by DotEmu on 09/04/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <sys/time.h>
#import <engines/engine.h>
#import <engines/igob/gob.h>
#import <engines/igob/goblin.h>
#import <engines/igob/script.h>
#import <engines/igob/hotspots.h>
#import <engines/igob/game.h>
#import <UIKit/UIKit.h>
#import "hintViewController.h"
#import "menuigViewController.h"
#import "iphone_video.h"

@interface iPhoneViewController : UIViewController 
{
	//VIEWCONTROLLERS
	hintViewController*   _hintVC;
	menuigViewController* _menuigVC;

	//SOUND
	AVAudioPlayer* menuSFXPlayer;
	
	//GOB ATTRIBUTES
	Gob::GobEngine* gg;
}
@property(nonatomic, retain) IBOutlet hintViewController   * _hintVC;
@property(nonatomic, retain) IBOutlet menuigViewController * _menuigVC;

//ACTIONS
- (IBAction) escClickedDown;
- (IBAction) escClickedUp;
- (IBAction) helpClickedDown;
- (IBAction) menuButtonClicked:(id)sender;

//METHODS
- (void) skipCopyright;
- (void) showHintMenuDidEnd:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context;
- (void) pauseGame;

//ACCESSORS
- (void)                setHintVC:(hintViewController*)iHintVC;
- (hintViewController*) getHintVC; 
- (Gob::GobEngine*)     getGobEngine;

@end
